Bug 595138 - Thunderbird compose window not reflecting changes to images even after re-adding them
Thunderbird compose window not reflecting changes to images even after re-add...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
13
All Linux
low Severity low
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 11:16 EDT by Gireesh Sreekantan
Modified: 2018-04-11 06:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-30 04:21:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gireesh Sreekantan 2010-05-23 11:16:25 EDT
Description of problem:
Compose window not reflecting changes to images

Version-Release number of selected component (if applicable):
thunderbird-3.0.4-3.fc13.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Open a compose window
2. Drag and drop an image into the compose window
3. Delete the image from the compose window by clicking Del
(note: I'm not expecting live updates in the preview, I'm actually trying to remove the image and re-add it)
4. Manually edit the image with a different program like GIMP
5. Drag and drop the same image into the same compose window
6. The compose window preview continues to display the original image without edits.
  
Actual results:
Compose window continues to show a preview of the older version of the image

Expected results:
Compose window must display the latest version of changes on re-adding the image


Additional info:
On sending the email, the delivered image is the latest version on disk so this is an aesthetic issue limited to the compose window only. Renaming the image or moving it to a different location updates the preview to the latest (when following the above mentioned steps).
Comment 1 Gireesh Sreekantan 2010-05-23 11:18:10 EDT
added "thunderbird" to the summary to make it identifiable.
Comment 2 Matěj Cepl 2010-05-30 04:21:47 EDT
We filed this bug in the upstream database (https://bugzilla.mozilla.org/show_bug.cgi?id=569117) and believe that it is more appropriate to let it be resolved upstream.

We will continue to track the issue in the centralized upstream bug tracker, and will review any bug fixes that become available for consideration in future updates.

Thank you for the bug report.

Note You need to log in before you can comment on or make changes to this bug.